Index: cprs/branches/foia-cprs/CPRS-Chart/CPRSChart.drc
===================================================================
--- cprs/branches/foia-cprs/CPRS-Chart/CPRSChart.drc	(revision 460)
+++ cprs/branches/foia-cprs/CPRS-Chart/CPRSChart.drc	(revision 462)
@@ -9,491 +9,404 @@
 */
 
-#define TeeConst_TeeMsg_ValuesGanttStart 65056
-#define TeeConst_TeeMsg_ValuesGanttEnd 65057
-#define TeeConst_TeeMsg_ValuesGanttNextTask 65058
-#define TeeConst_TeeMsg_ValuesArrowEndX 65059
-#define TeeConst_TeeMsg_ValuesArrowEndY 65060
-#define VDBConsts_SFirstRecord 65061
-#define VDBConsts_SPriorRecord 65062
-#define VDBConsts_SNextRecord 65063
-#define VDBConsts_SLastRecord 65064
-#define VDBConsts_SInsertRecord 65065
-#define VDBConsts_SDeleteRecord 65066
-#define VDBConsts_SEditRecord 65067
-#define VDBConsts_SPostEdit 65068
-#define VDBConsts_SCancelEdit 65069
-#define VDBConsts_SRefreshRecord 65070
-#define VDBConsts_SRemoteLogin 65071
-#define TeeConst_TeeMsg_FunctionAdd 65072
-#define TeeConst_TeeMsg_FunctionSubtract 65073
-#define TeeConst_TeeMsg_FunctionMultiply 65074
-#define TeeConst_TeeMsg_FunctionDivide 65075
-#define TeeConst_TeeMsg_FunctionHigh 65076
-#define TeeConst_TeeMsg_FunctionLow 65077
-#define TeeConst_TeeMsg_FunctionAverage 65078
-#define TeeConst_TeeMsg_DefaultFontName 65079
-#define TeeConst_TeeMsg_CheckPointerSize 65080
-#define TeeConst_TeeMsg_FunctionPeriod 65081
-#define TeeConst_TeeMsg_PieOther 65082
-#define TeeConst_TeeMsg_ValuesX 65083
-#define TeeConst_TeeMsg_ValuesY 65084
-#define TeeConst_TeeMsg_ValuesPie 65085
-#define TeeConst_TeeMsg_ValuesBar 65086
-#define TeeConst_TeeMsg_ValuesAngle 65087
-#define TeeConst_TeeMsg_PieSample8 65088
-#define TeeConst_TeeMsg_GalleryStandard 65089
-#define TeeConst_TeeMsg_GalleryFunctions 65090
-#define TeeConst_TeeMsg_GalleryArrow 65091
-#define TeeConst_TeeMsg_GalleryGantt 65092
-#define TeeConst_TeeMsg_GanttSample1 65093
-#define TeeConst_TeeMsg_GanttSample2 65094
-#define TeeConst_TeeMsg_GanttSample3 65095
-#define TeeConst_TeeMsg_GanttSample4 65096
-#define TeeConst_TeeMsg_GanttSample5 65097
-#define TeeConst_TeeMsg_GanttSample6 65098
-#define TeeConst_TeeMsg_GanttSample7 65099
-#define TeeConst_TeeMsg_GanttSample8 65100
-#define TeeConst_TeeMsg_GanttSample9 65101
-#define TeeConst_TeeMsg_GanttSample10 65102
-#define TeeConst_TeeMsg_DefaultFontSize 65103
-#define TeeConst_TeeMsg_AxisLabels 65104
-#define TeeConst_TeeMsg_GalleryLine 65105
-#define TeeConst_TeeMsg_GalleryPoint 65106
-#define TeeConst_TeeMsg_GalleryArea 65107
-#define TeeConst_TeeMsg_GalleryBar 65108
-#define TeeConst_TeeMsg_GalleryHorizBar 65109
-#define TeeConst_TeeMsg_GalleryPie 65110
-#define TeeConst_TeeMsg_GalleryFastLine 65111
-#define TeeConst_TeeMsg_Rotation 65112
-#define TeeConst_TeeMsg_PieSample1 65113
-#define TeeConst_TeeMsg_PieSample2 65114
-#define TeeConst_TeeMsg_PieSample3 65115
-#define TeeConst_TeeMsg_PieSample4 65116
-#define TeeConst_TeeMsg_PieSample5 65117
-#define TeeConst_TeeMsg_PieSample6 65118
-#define TeeConst_TeeMsg_PieSample7 65119
-#define TeeConst_TeeMsg_AxisLogDateTime 65120
-#define TeeConst_TeeMsg_AxisLogNotPositive 65121
-#define TeeConst_TeeMsg_AxisLabelSep 65122
-#define TeeConst_TeeMsg_AxisIncrementNeg 65123
-#define TeeConst_TeeMsg_AxisMinMax 65124
-#define TeeConst_TeeMsg_AxisMaxMin 65125
-#define TeeConst_TeeMsg_AxisLogBase 65126
-#define TeeConst_TeeMsg_MaxPointsPerPage 65127
-#define TeeConst_TeeMsg_3dPercent 65128
-#define TeeConst_TeeMsg_CircularSeries 65129
-#define TeeConst_TeeMsg_BarWidthPercent 65130
-#define TeeConst_TeeMsg_BarOffsetPercent 65131
-#define TeeConst_TeeMsg_DefaultPercentOf 65132
-#define TeeConst_TeeMsg_DefPercentFormat 65133
-#define TeeConst_TeeMsg_DefValueFormat 65134
-#define TeeConst_TeeMsg_AxisTitle 65135
-#define bdeconst_SInitError 65136
-#define bdeconst_SIDAPILangID 65137
-#define bdeconst_SBDEError 65138
-#define bdeconst_SNoDataSetField 65139
-#define bdeconst_SNoCachedUpdates 65140
-#define bdeconst_SNoFieldAccess 65141
-#define bdeconst_SUntitled 65142
-#define bdeconst_SUpdateFailed 65143
-#define bdeconst_SLocalTransDirty 65144
-#define TeeConst_TeeMsg_LegendTopPos 65145
-#define TeeConst_TeeMsg_LegendFirstValue 65146
-#define TeeConst_TeeMsg_LegendColorWidth 65147
-#define TeeConst_TeeMsg_SeriesSetDataSource 65148
-#define TeeConst_TeeMsg_SeriesInvDataSource 65149
-#define TeeConst_TeeMsg_FillSample 65150
-#define TeeConst_TeeMsg_Angle 65151
-#define bdeconst_SAutoSessionExists 65152
-#define bdeconst_SAutoSessionActive 65153
-#define bdeconst_SDuplicateDatabaseName 65154
-#define bdeconst_SDuplicateSessionName 65155
-#define bdeconst_SInvalidSessionName 65156
-#define bdeconst_SDatabaseNameMissing 65157
-#define bdeconst_SSessionNameMissing 65158
-#define bdeconst_SDatabaseOpen 65159
-#define bdeconst_SDatabaseClosed 65160
-#define bdeconst_SDatabaseHandleSet 65161
-#define bdeconst_SSessionActive 65162
-#define bdeconst_SHandleError 65163
-#define bdeconst_SNoReferenceTableName 65164
-#define bdeconst_SEmptySQLStatement 65165
-#define bdeconst_SNoParameterValue 65166
-#define bdeconst_SLoginError 65167
-#define DBConsts_STextTrue 65168
-#define DBConsts_SParameterNotFound 65169
-#define DBConsts_SInvalidVersion 65170
-#define DBConsts_SBadFieldType 65171
-#define DBConsts_SProviderSQLNotSupported 65172
-#define DBConsts_SProviderExecuteNotSupported 65173
-#define DBConsts_SExprNoAggOnCalcs 65174
-#define DBConsts_SDataSetUnidirectional 65175
-#define DBConsts_SUnassignedVar 65176
-#define DBConsts_SRecordNotFound 65177
-#define DBConsts_SBcdOverflow 65178
-#define DBConsts_SInvalidBcdValue 65179
-#define DBConsts_SInvalidFormatType 65180
-#define DBConsts_SCouldNotParseTimeStamp 65181
-#define DBConsts_SInvalidSqlTimeStamp 65182
-#define bdeconst_SAutoSessionExclusive 65183
-#define DBConsts_SExprNoRParenOrComma 65184
-#define DBConsts_SExprExpected 65185
-#define DBConsts_SExprBadField 65186
-#define DBConsts_SExprBadNullTest 65187
-#define DBConsts_SExprRangeError 65188
-#define DBConsts_SExprIncorrect 65189
-#define DBConsts_SExprNothing 65190
-#define DBConsts_SExprTypeMis 65191
-#define DBConsts_SExprBadScope 65192
-#define DBConsts_SExprNoArith 65193
-#define DBConsts_SExprNotAgg 65194
-#define DBConsts_SExprBadConst 65195
-#define DBConsts_SExprNoAggFilter 65196
-#define DBConsts_SExprEmptyInList 65197
-#define DBConsts_SInvalidKeywordUse 65198
-#define DBConsts_STextFalse 65199
-#define DBConsts_SInvalidCalcType 65200
-#define DBConsts_SFieldReadOnly 65201
-#define DBConsts_SNotIndexField 65202
-#define DBConsts_SCircularDataLink 65203
-#define DBConsts_SLookupInfoError 65204
-#define DBConsts_SDataSourceChange 65205
-#define DBConsts_SDataSetOpen 65206
-#define DBConsts_SNotEditing 65207
-#define DBConsts_SDataSetClosed 65208
-#define DBConsts_SNestedDataSetClass 65209
-#define DBConsts_SExprTermination 65210
-#define DBConsts_SExprNameError 65211
-#define DBConsts_SExprStringError 65212
-#define DBConsts_SExprInvalidChar 65213
-#define DBConsts_SExprNoLParen 65214
-#define DBConsts_SExprNoRParen 65215
-#define DBConsts_SFieldNameMissing 65216
-#define DBConsts_SDuplicateFieldName 65217
-#define DBConsts_SFieldNotFound 65218
-#define DBConsts_SFieldAccessError 65219
-#define DBConsts_SFieldValueError 65220
-#define DBConsts_SFieldRangeError 65221
-#define DBConsts_SBcdFieldRangeError 65222
-#define DBConsts_SInvalidIntegerValue 65223
-#define DBConsts_SInvalidBoolValue 65224
-#define DBConsts_SInvalidFloatValue 65225
-#define DBConsts_SFieldTypeMismatch 65226
-#define DBConsts_SFieldSizeMismatch 65227
-#define DBConsts_SInvalidVarByteArray 65228
-#define DBConsts_SFieldOutOfRange 65229
-#define DBConsts_SFieldRequired 65230
-#define DBConsts_SDataSetMissing 65231
-#define ComConst_STooManyParams 65232
-#define ComConst_SDCOMNotInstalled 65233
-#define ComConst_SDAXError 65234
-#define ComConst_SAutomationWarning 65235
-#define ComConst_SNoCloseActiveServer1 65236
-#define ComConst_SNoCloseActiveServer2 65237
-#define OleConst_SCannotActivate 65238
-#define OleConst_SNoWindowHandle 65239
-#define OleConst_SOleError 65240
-#define OleConst_SVarNotObject 65241
-#define OleConst_SInvalidLicense 65242
-#define OleConst_SNotLicensed 65243
-#define OleConst_sNoRunningObject 65244
-#define DBConsts_SInvalidFieldSize 65245
-#define DBConsts_SInvalidFieldKind 65246
-#define DBConsts_SUnknownFieldType 65247
-#define ComStrs_sPageIndexError 65248
-#define ComStrs_sInvalidComCtl32 65249
-#define ComStrs_sDateTimeMax 65250
-#define ComStrs_sDateTimeMin 65251
-#define ComStrs_sFailSetCalDateTime 65252
-#define ComStrs_sFailSetCalMaxSelRange 65253
-#define ComStrs_sFailSetCalMinMaxRange 65254
-#define ComStrs_sFailsetCalSelRange 65255
-#define ComConst_SCreateRegKeyError 65256
-#define ComConst_SOleError 65257
-#define ComConst_SObjectFactoryMissing 65258
-#define ComConst_STypeInfoMissing 65259
-#define ComConst_SBadTypeInfo 65260
-#define ComConst_SDispIntfMissing 65261
-#define ComConst_SNoMethod 65262
-#define ComConst_SVarNotObject 65263
-#define HelpIntfs_hNoContext 65264
-#define HelpIntfs_hNoTopics 65265
-#define ComStrs_sTabFailClear 65266
-#define ComStrs_sTabFailDelete 65267
-#define ComStrs_sTabFailRetrieve 65268
-#define ComStrs_sTabFailGetObject 65269
-#define ComStrs_sTabFailSet 65270
-#define ComStrs_sTabFailSetObject 65271
-#define ComStrs_sTabMustBeMultiLine 65272
-#define ComStrs_sInvalidIndex 65273
-#define ComStrs_sInsertError 65274
-#define ComStrs_sInvalidOwner 65275
-#define ComStrs_sRichEditInsertError 65276
-#define ComStrs_sRichEditLoadFail 65277
-#define ComStrs_sRichEditSaveFail 65278
-#define ComStrs_sUDAssociated 65279
-#define Consts_SCannotOpenClipboard 65280
-#define Consts_SInvalidMemoSize 65281
-#define Consts_SInvalidPrinterOp 65282
-#define Consts_SNoDefaultPrinter 65283
-#define Consts_SDuplicateMenus 65284
-#define Consts_SCannotOpenAVI 65285
-#define Consts_SDockedCtlNeedsName 65286
-#define Consts_SDockTreeRemoveError 65287
-#define Consts_SDockZoneNotFound 65288
-#define Consts_SDockZoneHasNoCtl 65289
-#define Consts_SMultiSelectRequired 65290
-#define Consts_SSeparator 65291
-#define Consts_SErrorSettingCount 65292
-#define Consts_SListBoxMustBeVirtual 65293
-#define HelpIntfs_hNoTableOfContents 65294
-#define HelpIntfs_hNothingFound 65295
-#define Consts_SmkcPgDn 65296
-#define Consts_SmkcEnd 65297
-#define Consts_SmkcHome 65298
-#define Consts_SmkcLeft 65299
-#define Consts_SmkcUp 65300
-#define Consts_SmkcRight 65301
-#define Consts_SmkcDown 65302
-#define Consts_SmkcIns 65303
-#define Consts_SmkcDel 65304
-#define Consts_SmkcShift 65305
-#define Consts_SmkcCtrl 65306
-#define Consts_SmkcAlt 65307
-#define Consts_SOutOfRange 65308
-#define Consts_SInsertLineError 65309
-#define Consts_SInvalidClipFmt 65310
-#define Consts_SIconToClipboard 65311
-#define Consts_SMsgDlgNo 65312
-#define Consts_SMsgDlgOK 65313
-#define Consts_SMsgDlgCancel 65314
-#define Consts_SMsgDlgHelp 65315
-#define Consts_SMsgDlgAbort 65316
-#define Consts_SMsgDlgRetry 65317
-#define Consts_SMsgDlgIgnore 65318
-#define Consts_SMsgDlgAll 65319
-#define Consts_SMsgDlgNoToAll 65320
-#define Consts_SMsgDlgYesToAll 65321
-#define Consts_SmkcBkSp 65322
-#define Consts_SmkcTab 65323
-#define Consts_SmkcEsc 65324
-#define Consts_SmkcEnter 65325
-#define Consts_SmkcSpace 65326
-#define Consts_SmkcPgUp 65327
-#define Consts_SIgnoreButton 65328
-#define Consts_SRetryButton 65329
-#define Consts_SAbortButton 65330
-#define Consts_SAllButton 65331
-#define Consts_SCannotDragForm 65332
-#define Consts_SVMetafiles 65333
-#define Consts_SVEnhMetafiles 65334
-#define Consts_SVIcons 65335
-#define Consts_SVBitmaps 65336
-#define Consts_SMaskErr 65337
-#define Consts_SMaskEditErr 65338
-#define Consts_SMsgDlgWarning 65339
-#define Consts_SMsgDlgError 65340
-#define Consts_SMsgDlgInformation 65341
-#define Consts_SMsgDlgConfirm 65342
-#define Consts_SMsgDlgYes 65343
-#define Consts_SMenuReinserted 65344
-#define Consts_SMenuNotFound 65345
-#define Consts_SNoTimers 65346
-#define Consts_SNotPrinting 65347
-#define Consts_SPrinting 65348
-#define Consts_SInvalidPrinter 65349
-#define Consts_SDeviceOnPort 65350
-#define Consts_SGroupIndexTooLow 65351
-#define Consts_SNoMDIForm 65352
-#define Consts_SControlParentSetToSelf 65353
-#define Consts_SOKButton 65354
-#define Consts_SCancelButton 65355
-#define Consts_SYesButton 65356
-#define Consts_SNoButton 65357
-#define Consts_SHelpButton 65358
-#define Consts_SCloseButton 65359
-#define Consts_SInvalidImageList 65360
-#define Consts_SReplaceImage 65361
-#define Consts_SImageIndexError 65362
-#define Consts_SImageReadFail 65363
-#define Consts_SImageWriteFail 65364
-#define Consts_SWindowDCError 65365
-#define Consts_SWindowClass 65366
-#define Consts_SCannotFocus 65367
-#define Consts_SParentRequired 65368
-#define Consts_SParentGivenNotAParent 65369
-#define Consts_SMDIChildNotVisible 65370
-#define Consts_SVisibleChanged 65371
-#define Consts_SCannotShowModal 65372
-#define Consts_SScrollBarRange 65373
-#define Consts_SPropertyOutOfRange 65374
-#define Consts_SMenuIndexError 65375
-#define RTLConsts_SUnknownGroup 65376
-#define RTLConsts_SUnknownProperty 65377
-#define RTLConsts_SWriteError 65378
-#define RTLConsts_SThreadCreateError 65379
-#define RTLConsts_SThreadError 65380
-#define Consts_SInvalidTabPosition 65381
-#define Consts_SInvalidTabStyle 65382
-#define Consts_SInvalidBitmap 65383
-#define Consts_SInvalidIcon 65384
-#define Consts_SInvalidMetafile 65385
-#define Consts_SChangeIconSize 65386
-#define Consts_SOleGraphic 65387
-#define Consts_SUnknownClipboardFormat 65388
-#define Consts_SOutOfResources 65389
-#define Consts_SNoCanvasHandle 65390
-#define Consts_SInvalidImageSize 65391
-#define RTLConsts_SInvalidPropertyValue 65392
-#define RTLConsts_SInvalidRegType 65393
-#define RTLConsts_SInvalidStringGridOp 65394
-#define RTLConsts_SListCapacityError 65395
-#define RTLConsts_SListCountError 65396
-#define RTLConsts_SListIndexError 65397
-#define RTLConsts_SMemoryStreamError 65398
-#define RTLConsts_SPropertyException 65399
-#define RTLConsts_SReadError 65400
-#define RTLConsts_SReadOnlyProperty 65401
-#define RTLConsts_SRegGetDataFailed 65402
-#define RTLConsts_SRegSetDataFailed 65403
-#define RTLConsts_SResNotFound 65404
-#define RTLConsts_SSeekNotImplemented 65405
-#define RTLConsts_SSortedListError 65406
-#define RTLConsts_STooManyDeleted 65407
-#define RTLConsts_SDuplicateClass 65408
-#define RTLConsts_SDuplicateItem 65409
-#define RTLConsts_SDuplicateName 65410
-#define RTLConsts_SDuplicateString 65411
-#define RTLConsts_SFCreateError 65412
-#define RTLConsts_SFixedColTooBig 65413
-#define RTLConsts_SFixedRowTooBig 65414
-#define RTLConsts_SFOpenError 65415
-#define RTLConsts_SGridTooLarge 65416
-#define RTLConsts_SIndexOutOfRange 65417
-#define RTLConsts_SInvalidImage 65418
-#define RTLConsts_SInvalidName 65419
-#define RTLConsts_SInvalidProperty 65420
-#define RTLConsts_SInvalidPropertyElement 65421
-#define RTLConsts_SInvalidPropertyPath 65422
-#define RTLConsts_SInvalidPropertyType 65423
-#define SysConst_SShortDayNameThu 65424
-#define SysConst_SShortDayNameFri 65425
-#define SysConst_SShortDayNameSat 65426
-#define SysConst_SLongDayNameSun 65427
-#define SysConst_SLongDayNameMon 65428
-#define SysConst_SLongDayNameTue 65429
-#define SysConst_SLongDayNameWed 65430
-#define SysConst_SLongDayNameThu 65431
-#define SysConst_SLongDayNameFri 65432
-#define SysConst_SLongDayNameSat 65433
-#define RTLConsts_SAncestorNotFound 65434
-#define RTLConsts_SAssignError 65435
-#define RTLConsts_SBitsIndexError 65436
-#define RTLConsts_SCantWriteResourceStreamError 65437
-#define RTLConsts_SCheckSynchronizeError 65438
-#define RTLConsts_SClassNotFound 65439
-#define SysConst_SLongMonthNameJan 65440
-#define SysConst_SLongMonthNameFeb 65441
-#define SysConst_SLongMonthNameMar 65442
-#define SysConst_SLongMonthNameApr 65443
-#define SysConst_SLongMonthNameMay 65444
-#define SysConst_SLongMonthNameJun 65445
-#define SysConst_SLongMonthNameJul 65446
-#define SysConst_SLongMonthNameAug 65447
-#define SysConst_SLongMonthNameSep 65448
-#define SysConst_SLongMonthNameOct 65449
-#define SysConst_SLongMonthNameNov 65450
-#define SysConst_SLongMonthNameDec 65451
-#define SysConst_SShortDayNameSun 65452
-#define SysConst_SShortDayNameMon 65453
-#define SysConst_SShortDayNameTue 65454
-#define SysConst_SShortDayNameWed 65455
-#define SysConst_SModuleAccessViolation 65456
-#define SysConst_SOSError 65457
-#define SysConst_SUnkOSError 65458
-#define SysConst_SNL 65459
-#define SysConst_SShortMonthNameJan 65460
-#define SysConst_SShortMonthNameFeb 65461
-#define SysConst_SShortMonthNameMar 65462
-#define SysConst_SShortMonthNameApr 65463
-#define SysConst_SShortMonthNameMay 65464
-#define SysConst_SShortMonthNameJun 65465
-#define SysConst_SShortMonthNameJul 65466
-#define SysConst_SShortMonthNameAug 65467
-#define SysConst_SShortMonthNameSep 65468
-#define SysConst_SShortMonthNameOct 65469
-#define SysConst_SShortMonthNameNov 65470
-#define SysConst_SShortMonthNameDec 65471
-#define SysConst_SVarTypeNotUsable 65472
-#define SysConst_SVarTypeTooManyCustom 65473
-#define SysConst_SInvalidVarNullOp 65474
-#define SysConst_SVarTypeCouldNotConvert 65475
-#define SysConst_SVarTypeConvertOverflow 65476
-#define SysConst_SVarOverflow 65477
-#define SysConst_SVarInvalid 65478
-#define SysConst_SVarBadType 65479
-#define SysConst_SVarNotImplemented 65480
-#define SysConst_SVarUnexpected 65481
-#define SysConst_SExternalException 65482
-#define SysConst_SAssertionFailed 65483
-#define SysConst_SIntfCastError 65484
-#define SysConst_SSafecallException 65485
-#define SysConst_SAssertError 65486
-#define SysConst_SAbstractError 65487
-#define SysConst_SExceptTitle 65488
-#define SysConst_SInvalidFormat 65489
-#define SysConst_SArgumentMissing 65490
-#define SysConst_SDispatchError 65491
-#define SysConst_SReadAccess 65492
-#define SysConst_SWriteAccess 65493
-#define SysConst_SFormatTooLong 65494
-#define SysConst_SVarArrayCreate 65495
-#define SysConst_SVarArrayBounds 65496
-#define SysConst_SVarArrayLocked 65497
-#define SysConst_SInvalidVarCast 65498
-#define SysConst_SInvalidVarOp 65499
-#define SysConst_SInvalidVarOpWithHResult 65500
-#define SysConst_SVarNotArray 65501
-#define SysConst_SVarTypeOutOfRange 65502
-#define SysConst_SVarTypeAlreadyUsed 65503
-#define SysConst_SInvalidInput 65504
-#define SysConst_SDivByZero 65505
-#define SysConst_SRangeError 65506
-#define SysConst_SIntOverflow 65507
-#define SysConst_SInvalidOp 65508
-#define SysConst_SZeroDivide 65509
-#define SysConst_SOverflow 65510
-#define SysConst_SUnderflow 65511
-#define SysConst_SInvalidPointer 65512
-#define SysConst_SInvalidCast 65513
-#define SysConst_SAccessViolation 65514
-#define SysConst_SStackOverflow 65515
-#define SysConst_SControlC 65516
-#define SysConst_SPrivilege 65517
-#define SysConst_SOperationAborted 65518
-#define SysConst_SException 65519
+#define VDBConsts_SCancelEdit 65136
+#define VDBConsts_SRefreshRecord 65137
+#define VDBConsts_SRemoteLogin 65138
+#define OleConst_SNoWindowHandle 65152
+#define OleConst_SInvalidLicense 65153
+#define OleConst_SNotLicensed 65154
+#define OleConst_sNoRunningObject 65155
+#define DBConsts_SBcdOverflow 65156
+#define DBConsts_SInvalidBcdValue 65157
+#define DBConsts_SCouldNotParseTimeStamp 65158
+#define DBConsts_SInvalidSqlTimeStamp 65159
+#define VDBConsts_SFirstRecord 65160
+#define VDBConsts_SPriorRecord 65161
+#define VDBConsts_SNextRecord 65162
+#define VDBConsts_SLastRecord 65163
+#define VDBConsts_SInsertRecord 65164
+#define VDBConsts_SDeleteRecord 65165
+#define VDBConsts_SEditRecord 65166
+#define VDBConsts_SPostEdit 65167
+#define TeeConst_TeeMsg_FunctionAverage 65168
+#define TeeConst_TeeMsg_DefaultFontName 65169
+#define TeeConst_TeeMsg_CheckPointerSize 65170
+#define TeeConst_TeeMsg_FunctionPeriod 65171
+#define TeeConst_TeeMsg_PieOther 65172
+#define TeeConst_TeeMsg_ValuesX 65173
+#define TeeConst_TeeMsg_ValuesY 65174
+#define TeeConst_TeeMsg_ValuesPie 65175
+#define TeeConst_TeeMsg_ValuesBar 65176
+#define TeeConst_TeeMsg_ValuesAngle 65177
+#define TeeConst_TeeMsg_ValuesGanttStart 65178
+#define TeeConst_TeeMsg_ValuesGanttEnd 65179
+#define TeeConst_TeeMsg_ValuesGanttNextTask 65180
+#define TeeConst_TeeMsg_ValuesArrowEndX 65181
+#define TeeConst_TeeMsg_ValuesArrowEndY 65182
+#define OleConst_SCannotActivate 65183
+#define TeeConst_TeeMsg_GanttSample2 65184
+#define TeeConst_TeeMsg_GanttSample3 65185
+#define TeeConst_TeeMsg_GanttSample4 65186
+#define TeeConst_TeeMsg_GanttSample5 65187
+#define TeeConst_TeeMsg_GanttSample6 65188
+#define TeeConst_TeeMsg_GanttSample7 65189
+#define TeeConst_TeeMsg_GanttSample8 65190
+#define TeeConst_TeeMsg_GanttSample9 65191
+#define TeeConst_TeeMsg_GanttSample10 65192
+#define TeeConst_TeeMsg_DefaultFontSize 65193
+#define TeeConst_TeeMsg_FunctionAdd 65194
+#define TeeConst_TeeMsg_FunctionSubtract 65195
+#define TeeConst_TeeMsg_FunctionMultiply 65196
+#define TeeConst_TeeMsg_FunctionDivide 65197
+#define TeeConst_TeeMsg_FunctionHigh 65198
+#define TeeConst_TeeMsg_FunctionLow 65199
+#define TeeConst_TeeMsg_GalleryPie 65200
+#define TeeConst_TeeMsg_GalleryFastLine 65201
+#define TeeConst_TeeMsg_Rotation 65202
+#define TeeConst_TeeMsg_PieSample1 65203
+#define TeeConst_TeeMsg_PieSample2 65204
+#define TeeConst_TeeMsg_PieSample3 65205
+#define TeeConst_TeeMsg_PieSample4 65206
+#define TeeConst_TeeMsg_PieSample5 65207
+#define TeeConst_TeeMsg_PieSample6 65208
+#define TeeConst_TeeMsg_PieSample7 65209
+#define TeeConst_TeeMsg_PieSample8 65210
+#define TeeConst_TeeMsg_GalleryStandard 65211
+#define TeeConst_TeeMsg_GalleryFunctions 65212
+#define TeeConst_TeeMsg_GalleryArrow 65213
+#define TeeConst_TeeMsg_GalleryGantt 65214
+#define TeeConst_TeeMsg_GanttSample1 65215
+#define TeeConst_TeeMsg_AxisLogBase 65216
+#define TeeConst_TeeMsg_MaxPointsPerPage 65217
+#define TeeConst_TeeMsg_3dPercent 65218
+#define TeeConst_TeeMsg_CircularSeries 65219
+#define TeeConst_TeeMsg_BarWidthPercent 65220
+#define TeeConst_TeeMsg_BarOffsetPercent 65221
+#define TeeConst_TeeMsg_DefaultPercentOf 65222
+#define TeeConst_TeeMsg_DefPercentFormat 65223
+#define TeeConst_TeeMsg_DefValueFormat 65224
+#define TeeConst_TeeMsg_AxisTitle 65225
+#define TeeConst_TeeMsg_AxisLabels 65226
+#define TeeConst_TeeMsg_GalleryLine 65227
+#define TeeConst_TeeMsg_GalleryPoint 65228
+#define TeeConst_TeeMsg_GalleryArea 65229
+#define TeeConst_TeeMsg_GalleryBar 65230
+#define TeeConst_TeeMsg_GalleryHorizBar 65231
+#define ComConst_SAutomationWarning 65232
+#define ComConst_SNoCloseActiveServer1 65233
+#define ComConst_SNoCloseActiveServer2 65234
+#define TeeConst_TeeMsg_LegendTopPos 65235
+#define TeeConst_TeeMsg_LegendFirstValue 65236
+#define TeeConst_TeeMsg_LegendColorWidth 65237
+#define TeeConst_TeeMsg_SeriesSetDataSource 65238
+#define TeeConst_TeeMsg_SeriesInvDataSource 65239
+#define TeeConst_TeeMsg_FillSample 65240
+#define TeeConst_TeeMsg_Angle 65241
+#define TeeConst_TeeMsg_AxisLogDateTime 65242
+#define TeeConst_TeeMsg_AxisLogNotPositive 65243
+#define TeeConst_TeeMsg_AxisLabelSep 65244
+#define TeeConst_TeeMsg_AxisIncrementNeg 65245
+#define TeeConst_TeeMsg_AxisMinMax 65246
+#define TeeConst_TeeMsg_AxisMaxMin 65247
+#define ComStrs_sDateTimeMin 65248
+#define ComStrs_sFailSetCalDateTime 65249
+#define ComStrs_sFailSetCalMaxSelRange 65250
+#define ComStrs_sFailSetCalMinMaxRange 65251
+#define ComStrs_sFailsetCalSelRange 65252
+#define ComConst_SCreateRegKeyError 65253
+#define ComConst_SOleError 65254
+#define ComConst_SObjectFactoryMissing 65255
+#define ComConst_STypeInfoMissing 65256
+#define ComConst_SBadTypeInfo 65257
+#define ComConst_SDispIntfMissing 65258
+#define ComConst_SNoMethod 65259
+#define ComConst_SVarNotObject 65260
+#define ComConst_STooManyParams 65261
+#define ComConst_SDCOMNotInstalled 65262
+#define ComConst_SDAXError 65263
+#define ComStrs_sTabFailDelete 65264
+#define ComStrs_sTabFailRetrieve 65265
+#define ComStrs_sTabFailGetObject 65266
+#define ComStrs_sTabFailSet 65267
+#define ComStrs_sTabFailSetObject 65268
+#define ComStrs_sTabMustBeMultiLine 65269
+#define ComStrs_sInvalidIndex 65270
+#define ComStrs_sInsertError 65271
+#define ComStrs_sInvalidOwner 65272
+#define ComStrs_sRichEditInsertError 65273
+#define ComStrs_sRichEditLoadFail 65274
+#define ComStrs_sRichEditSaveFail 65275
+#define ComStrs_sUDAssociated 65276
+#define ComStrs_sPageIndexError 65277
+#define ComStrs_sInvalidComCtl32 65278
+#define ComStrs_sDateTimeMax 65279
+#define Consts_SNoDefaultPrinter 65280
+#define Consts_SDuplicateMenus 65281
+#define Consts_SCannotOpenAVI 65282
+#define Consts_SDockedCtlNeedsName 65283
+#define Consts_SDockTreeRemoveError 65284
+#define Consts_SDockZoneNotFound 65285
+#define Consts_SDockZoneHasNoCtl 65286
+#define Consts_SMultiSelectRequired 65287
+#define Consts_SSeparator 65288
+#define Consts_SErrorSettingCount 65289
+#define Consts_SListBoxMustBeVirtual 65290
+#define HelpIntfs_hNoTableOfContents 65291
+#define HelpIntfs_hNothingFound 65292
+#define HelpIntfs_hNoContext 65293
+#define HelpIntfs_hNoTopics 65294
+#define ComStrs_sTabFailClear 65295
+#define Consts_SmkcLeft 65296
+#define Consts_SmkcUp 65297
+#define Consts_SmkcRight 65298
+#define Consts_SmkcDown 65299
+#define Consts_SmkcIns 65300
+#define Consts_SmkcDel 65301
+#define Consts_SmkcShift 65302
+#define Consts_SmkcCtrl 65303
+#define Consts_SmkcAlt 65304
+#define Consts_SOutOfRange 65305
+#define Consts_SInsertLineError 65306
+#define Consts_SInvalidClipFmt 65307
+#define Consts_SIconToClipboard 65308
+#define Consts_SCannotOpenClipboard 65309
+#define Consts_SInvalidMemoSize 65310
+#define Consts_SInvalidPrinterOp 65311
+#define Consts_SMsgDlgHelp 65312
+#define Consts_SMsgDlgAbort 65313
+#define Consts_SMsgDlgRetry 65314
+#define Consts_SMsgDlgIgnore 65315
+#define Consts_SMsgDlgAll 65316
+#define Consts_SMsgDlgNoToAll 65317
+#define Consts_SMsgDlgYesToAll 65318
+#define Consts_SmkcBkSp 65319
+#define Consts_SmkcTab 65320
+#define Consts_SmkcEsc 65321
+#define Consts_SmkcEnter 65322
+#define Consts_SmkcSpace 65323
+#define Consts_SmkcPgUp 65324
+#define Consts_SmkcPgDn 65325
+#define Consts_SmkcEnd 65326
+#define Consts_SmkcHome 65327
+#define Consts_SAllButton 65328
+#define Consts_SCannotDragForm 65329
+#define Consts_SVMetafiles 65330
+#define Consts_SVEnhMetafiles 65331
+#define Consts_SVIcons 65332
+#define Consts_SVBitmaps 65333
+#define Consts_SMaskErr 65334
+#define Consts_SMaskEditErr 65335
+#define Consts_SMsgDlgWarning 65336
+#define Consts_SMsgDlgError 65337
+#define Consts_SMsgDlgInformation 65338
+#define Consts_SMsgDlgConfirm 65339
+#define Consts_SMsgDlgYes 65340
+#define Consts_SMsgDlgNo 65341
+#define Consts_SMsgDlgOK 65342
+#define Consts_SMsgDlgCancel 65343
+#define Consts_SNotPrinting 65344
+#define Consts_SPrinting 65345
+#define Consts_SInvalidPrinter 65346
+#define Consts_SDeviceOnPort 65347
+#define Consts_SGroupIndexTooLow 65348
+#define Consts_SNoMDIForm 65349
+#define Consts_SControlParentSetToSelf 65350
+#define Consts_SOKButton 65351
+#define Consts_SCancelButton 65352
+#define Consts_SYesButton 65353
+#define Consts_SNoButton 65354
+#define Consts_SHelpButton 65355
+#define Consts_SCloseButton 65356
+#define Consts_SIgnoreButton 65357
+#define Consts_SRetryButton 65358
+#define Consts_SAbortButton 65359
+#define Consts_SImageReadFail 65360
+#define Consts_SImageWriteFail 65361
+#define Consts_SWindowDCError 65362
+#define Consts_SWindowClass 65363
+#define Consts_SCannotFocus 65364
+#define Consts_SParentRequired 65365
+#define Consts_SParentGivenNotAParent 65366
+#define Consts_SMDIChildNotVisible 65367
+#define Consts_SVisibleChanged 65368
+#define Consts_SCannotShowModal 65369
+#define Consts_SScrollBarRange 65370
+#define Consts_SPropertyOutOfRange 65371
+#define Consts_SMenuIndexError 65372
+#define Consts_SMenuReinserted 65373
+#define Consts_SMenuNotFound 65374
+#define Consts_SNoTimers 65375
+#define RTLConsts_SThreadCreateError 65376
+#define RTLConsts_SThreadError 65377
+#define Consts_SInvalidTabPosition 65378
+#define Consts_SInvalidTabStyle 65379
+#define Consts_SInvalidBitmap 65380
+#define Consts_SInvalidIcon 65381
+#define Consts_SInvalidMetafile 65382
+#define Consts_SChangeIconSize 65383
+#define Consts_SOleGraphic 65384
+#define Consts_SUnknownClipboardFormat 65385
+#define Consts_SOutOfResources 65386
+#define Consts_SNoCanvasHandle 65387
+#define Consts_SInvalidImageSize 65388
+#define Consts_SInvalidImageList 65389
+#define Consts_SReplaceImage 65390
+#define Consts_SImageIndexError 65391
+#define RTLConsts_SListCapacityError 65392
+#define RTLConsts_SListCountError 65393
+#define RTLConsts_SListIndexError 65394
+#define RTLConsts_SMemoryStreamError 65395
+#define RTLConsts_SPropertyException 65396
+#define RTLConsts_SReadError 65397
+#define RTLConsts_SReadOnlyProperty 65398
+#define RTLConsts_SRegGetDataFailed 65399
+#define RTLConsts_SRegSetDataFailed 65400
+#define RTLConsts_SResNotFound 65401
+#define RTLConsts_SSeekNotImplemented 65402
+#define RTLConsts_SSortedListError 65403
+#define RTLConsts_STooManyDeleted 65404
+#define RTLConsts_SUnknownGroup 65405
+#define RTLConsts_SUnknownProperty 65406
+#define RTLConsts_SWriteError 65407
+#define RTLConsts_SDuplicateString 65408
+#define RTLConsts_SFCreateError 65409
+#define RTLConsts_SFixedColTooBig 65410
+#define RTLConsts_SFixedRowTooBig 65411
+#define RTLConsts_SFOpenError 65412
+#define RTLConsts_SGridTooLarge 65413
+#define RTLConsts_SIndexOutOfRange 65414
+#define RTLConsts_SInvalidImage 65415
+#define RTLConsts_SInvalidName 65416
+#define RTLConsts_SInvalidProperty 65417
+#define RTLConsts_SInvalidPropertyElement 65418
+#define RTLConsts_SInvalidPropertyPath 65419
+#define RTLConsts_SInvalidPropertyType 65420
+#define RTLConsts_SInvalidPropertyValue 65421
+#define RTLConsts_SInvalidRegType 65422
+#define RTLConsts_SInvalidStringGridOp 65423
+#define SysConst_SLongDayNameSun 65424
+#define SysConst_SLongDayNameMon 65425
+#define SysConst_SLongDayNameTue 65426
+#define SysConst_SLongDayNameWed 65427
+#define SysConst_SLongDayNameThu 65428
+#define SysConst_SLongDayNameFri 65429
+#define SysConst_SLongDayNameSat 65430
+#define RTLConsts_SAncestorNotFound 65431
+#define RTLConsts_SAssignError 65432
+#define RTLConsts_SBitsIndexError 65433
+#define RTLConsts_SCantWriteResourceStreamError 65434
+#define RTLConsts_SCheckSynchronizeError 65435
+#define RTLConsts_SClassNotFound 65436
+#define RTLConsts_SDuplicateClass 65437
+#define RTLConsts_SDuplicateItem 65438
+#define RTLConsts_SDuplicateName 65439
+#define SysConst_SLongMonthNameApr 65440
+#define SysConst_SLongMonthNameMay 65441
+#define SysConst_SLongMonthNameJun 65442
+#define SysConst_SLongMonthNameJul 65443
+#define SysConst_SLongMonthNameAug 65444
+#define SysConst_SLongMonthNameSep 65445
+#define SysConst_SLongMonthNameOct 65446
+#define SysConst_SLongMonthNameNov 65447
+#define SysConst_SLongMonthNameDec 65448
+#define SysConst_SShortDayNameSun 65449
+#define SysConst_SShortDayNameMon 65450
+#define SysConst_SShortDayNameTue 65451
+#define SysConst_SShortDayNameWed 65452
+#define SysConst_SShortDayNameThu 65453
+#define SysConst_SShortDayNameFri 65454
+#define SysConst_SShortDayNameSat 65455
+#define SysConst_SUnkOSError 65456
+#define SysConst_SShortMonthNameJan 65457
+#define SysConst_SShortMonthNameFeb 65458
+#define SysConst_SShortMonthNameMar 65459
+#define SysConst_SShortMonthNameApr 65460
+#define SysConst_SShortMonthNameMay 65461
+#define SysConst_SShortMonthNameJun 65462
+#define SysConst_SShortMonthNameJul 65463
+#define SysConst_SShortMonthNameAug 65464
+#define SysConst_SShortMonthNameSep 65465
+#define SysConst_SShortMonthNameOct 65466
+#define SysConst_SShortMonthNameNov 65467
+#define SysConst_SShortMonthNameDec 65468
+#define SysConst_SLongMonthNameJan 65469
+#define SysConst_SLongMonthNameFeb 65470
+#define SysConst_SLongMonthNameMar 65471
+#define SysConst_SInvalidVarNullOp 65472
+#define SysConst_SVarTypeCouldNotConvert 65473
+#define SysConst_SVarTypeConvertOverflow 65474
+#define SysConst_SVarOverflow 65475
+#define SysConst_SVarInvalid 65476
+#define SysConst_SVarBadType 65477
+#define SysConst_SVarNotImplemented 65478
+#define SysConst_SVarUnexpected 65479
+#define SysConst_SExternalException 65480
+#define SysConst_SAssertionFailed 65481
+#define SysConst_SIntfCastError 65482
+#define SysConst_SSafecallException 65483
+#define SysConst_SAssertError 65484
+#define SysConst_SAbstractError 65485
+#define SysConst_SModuleAccessViolation 65486
+#define SysConst_SOSError 65487
+#define SysConst_SArgumentMissing 65488
+#define SysConst_SDispatchError 65489
+#define SysConst_SReadAccess 65490
+#define SysConst_SWriteAccess 65491
+#define SysConst_SFormatTooLong 65492
+#define SysConst_SVarArrayCreate 65493
+#define SysConst_SVarArrayBounds 65494
+#define SysConst_SVarArrayLocked 65495
+#define SysConst_SInvalidVarCast 65496
+#define SysConst_SInvalidVarOp 65497
+#define SysConst_SInvalidVarOpWithHResult 65498
+#define SysConst_SVarNotArray 65499
+#define SysConst_SVarTypeOutOfRange 65500
+#define SysConst_SVarTypeAlreadyUsed 65501
+#define SysConst_SVarTypeNotUsable 65502
+#define SysConst_SVarTypeTooManyCustom 65503
+#define SysConst_SRangeError 65504
+#define SysConst_SIntOverflow 65505
+#define SysConst_SInvalidOp 65506
+#define SysConst_SZeroDivide 65507
+#define SysConst_SOverflow 65508
+#define SysConst_SUnderflow 65509
+#define SysConst_SInvalidPointer 65510
+#define SysConst_SInvalidCast 65511
+#define SysConst_SAccessViolation 65512
+#define SysConst_SStackOverflow 65513
+#define SysConst_SControlC 65514
+#define SysConst_SPrivilege 65515
+#define SysConst_SOperationAborted 65516
+#define SysConst_SException 65517
+#define SysConst_SExceptTitle 65518
+#define SysConst_SInvalidFormat 65519
 #define SysConst_SInvalidInteger 65520
 #define SysConst_SInvalidFloat 65521
-#define SysConst_SInvalidDate 65522
-#define SysConst_SInvalidTime 65523
-#define SysConst_SInvalidDateTime 65524
-#define SysConst_SInvalidTimeStamp 65525
-#define SysConst_STimeEncodeError 65526
-#define SysConst_SDateEncodeError 65527
-#define SysConst_SOutOfMemory 65528
-#define SysConst_SInOutError 65529
-#define SysConst_SFileNotFound 65530
-#define SysConst_SInvalidFilename 65531
-#define SysConst_STooManyOpenFiles 65532
-#define SysConst_SAccessDenied 65533
-#define SysConst_SEndOfFile 65534
-#define SysConst_SDiskFull 65535
+#define SysConst_SInvalidTime 65522
+#define SysConst_SInvalidDateTime 65523
+#define SysConst_STimeEncodeError 65524
+#define SysConst_SDateEncodeError 65525
+#define SysConst_SOutOfMemory 65526
+#define SysConst_SInOutError 65527
+#define SysConst_SFileNotFound 65528
+#define SysConst_SInvalidFilename 65529
+#define SysConst_STooManyOpenFiles 65530
+#define SysConst_SAccessDenied 65531
+#define SysConst_SEndOfFile 65532
+#define SysConst_SDiskFull 65533
+#define SysConst_SInvalidInput 65534
+#define SysConst_SDivByZero 65535
 STRINGTABLE
 BEGIN
-	TeeConst_TeeMsg_ValuesGanttStart,	"Start"
-	TeeConst_TeeMsg_ValuesGanttEnd,	"End"
-	TeeConst_TeeMsg_ValuesGanttNextTask,	"NextTask"
-	TeeConst_TeeMsg_ValuesArrowEndX,	"EndX"
-	TeeConst_TeeMsg_ValuesArrowEndY,	"EndY"
+	VDBConsts_SCancelEdit,	"Cancel edit"
+	VDBConsts_SRefreshRecord,	"Refresh data"
+	VDBConsts_SRemoteLogin,	"Remote Login"
+	OleConst_SNoWindowHandle,	"Could not obtain OLE control window handle"
+	OleConst_SInvalidLicense,	"License information for %s is invalid"
+	OleConst_SNotLicensed,	"License information for %s not found. You cannot use this control in design mode"
+	OleConst_sNoRunningObject,	"Unable to retrieve a pointer to a running object registered with OLE for %s/%s"
+	DBConsts_SBcdOverflow,	"BCD overflow"
+	DBConsts_SInvalidBcdValue,	"%s is not a valid BCD value"
+	DBConsts_SCouldNotParseTimeStamp,	"Could not parse SQL TimeStamp string"
+	DBConsts_SInvalidSqlTimeStamp,	"Invalid SQL date/time values"
 	VDBConsts_SFirstRecord,	"First record"
 	VDBConsts_SPriorRecord,	"Prior record"
@@ -504,13 +417,4 @@
 	VDBConsts_SEditRecord,	"Edit record"
 	VDBConsts_SPostEdit,	"Post edit"
-	VDBConsts_SCancelEdit,	"Cancel edit"
-	VDBConsts_SRefreshRecord,	"Refresh data"
-	VDBConsts_SRemoteLogin,	"Remote Login"
-	TeeConst_TeeMsg_FunctionAdd,	"Add"
-	TeeConst_TeeMsg_FunctionSubtract,	"Subtract"
-	TeeConst_TeeMsg_FunctionMultiply,	"Multiply"
-	TeeConst_TeeMsg_FunctionDivide,	"Divide"
-	TeeConst_TeeMsg_FunctionHigh,	"High"
-	TeeConst_TeeMsg_FunctionLow,	"Low"
 	TeeConst_TeeMsg_FunctionAverage,	"Average"
 	TeeConst_TeeMsg_DefaultFontName,	"Arial"
@@ -523,10 +427,10 @@
 	TeeConst_TeeMsg_ValuesBar,	"Bar"
 	TeeConst_TeeMsg_ValuesAngle,	"Angle"
-	TeeConst_TeeMsg_PieSample8,	"Chairs"
-	TeeConst_TeeMsg_GalleryStandard,	"Standard"
-	TeeConst_TeeMsg_GalleryFunctions,	"Functions"
-	TeeConst_TeeMsg_GalleryArrow,	"Arrow"
-	TeeConst_TeeMsg_GalleryGantt,	"Gantt"
-	TeeConst_TeeMsg_GanttSample1,	"Design"
+	TeeConst_TeeMsg_ValuesGanttStart,	"Start"
+	TeeConst_TeeMsg_ValuesGanttEnd,	"End"
+	TeeConst_TeeMsg_ValuesGanttNextTask,	"NextTask"
+	TeeConst_TeeMsg_ValuesArrowEndX,	"EndX"
+	TeeConst_TeeMsg_ValuesArrowEndY,	"EndY"
+	OleConst_SCannotActivate,	"OLE control activation failed"
 	TeeConst_TeeMsg_GanttSample2,	"Prototyping"
 	TeeConst_TeeMsg_GanttSample3,	"Development"
@@ -539,10 +443,10 @@
 	TeeConst_TeeMsg_GanttSample10,	"Banking"
 	TeeConst_TeeMsg_DefaultFontSize,	"8"
-	TeeConst_TeeMsg_AxisLabels,	"Axis Labels"
-	TeeConst_TeeMsg_GalleryLine,	"Line"
-	TeeConst_TeeMsg_GalleryPoint,	"Point"
-	TeeConst_TeeMsg_GalleryArea,	"Area"
-	TeeConst_TeeMsg_GalleryBar,	"Bar"
-	TeeConst_TeeMsg_GalleryHorizBar,	"Horiz. Bar"
+	TeeConst_TeeMsg_FunctionAdd,	"Add"
+	TeeConst_TeeMsg_FunctionSubtract,	"Subtract"
+	TeeConst_TeeMsg_FunctionMultiply,	"Multiply"
+	TeeConst_TeeMsg_FunctionDivide,	"Divide"
+	TeeConst_TeeMsg_FunctionHigh,	"High"
+	TeeConst_TeeMsg_FunctionLow,	"Low"
 	TeeConst_TeeMsg_GalleryPie,	"Pie"
 	TeeConst_TeeMsg_GalleryFastLine,	"Fast Line"
@@ -555,10 +459,10 @@
 	TeeConst_TeeMsg_PieSample6,	"Keyboards"
 	TeeConst_TeeMsg_PieSample7,	"Bikes"
-	TeeConst_TeeMsg_AxisLogDateTime,	"DateTime Axis cannot be Logarithmic"
-	TeeConst_TeeMsg_AxisLogNotPositive,	"Logarithmic Axis Min and Max values should be >= 0"
-	TeeConst_TeeMsg_AxisLabelSep,	"Labels Separation % must be greater than 0"
-	TeeConst_TeeMsg_AxisIncrementNeg,	"Axis increment must be >= 0"
-	TeeConst_TeeMsg_AxisMinMax,	"Axis Minimum Value must be <= Maximum"
-	TeeConst_TeeMsg_AxisMaxMin,	"Axis Maximum Value must be >= Minimum"
+	TeeConst_TeeMsg_PieSample8,	"Chairs"
+	TeeConst_TeeMsg_GalleryStandard,	"Standard"
+	TeeConst_TeeMsg_GalleryFunctions,	"Functions"
+	TeeConst_TeeMsg_GalleryArrow,	"Arrow"
+	TeeConst_TeeMsg_GalleryGantt,	"Gantt"
+	TeeConst_TeeMsg_GanttSample1,	"Design"
 	TeeConst_TeeMsg_AxisLogBase,	"Axis Logarithmic Base should be >= 2"
 	TeeConst_TeeMsg_MaxPointsPerPage,	"MaxPointsPerPage must be >= 0"
@@ -571,13 +475,13 @@
 	TeeConst_TeeMsg_DefValueFormat,	"#,##0.###"
 	TeeConst_TeeMsg_AxisTitle,	"Axis Title"
-	bdeconst_SInitError,	"An error occurred while attempting to initialize the Borland Database Engine (error $%.4x)"
-	bdeconst_SIDAPILangID,	"0009"
-	bdeconst_SBDEError,	"BDE error $%.4x"
-	bdeconst_SNoDataSetField,	"Missing DataSetField property"
-	bdeconst_SNoCachedUpdates,	"Not in cached update mode"
-	bdeconst_SNoFieldAccess,	"Cannot access field '%s' in a filter"
-	bdeconst_SUntitled,	"Untitled Application"
-	bdeconst_SUpdateFailed,	"Update failed"
-	bdeconst_SLocalTransDirty,	"The transaction isolation level must be dirty read for local databases"
+	TeeConst_TeeMsg_AxisLabels,	"Axis Labels"
+	TeeConst_TeeMsg_GalleryLine,	"Line"
+	TeeConst_TeeMsg_GalleryPoint,	"Point"
+	TeeConst_TeeMsg_GalleryArea,	"Area"
+	TeeConst_TeeMsg_GalleryBar,	"Bar"
+	TeeConst_TeeMsg_GalleryHorizBar,	"Horiz. Bar"
+	ComConst_SAutomationWarning,	"COM Server Warning"
+	ComConst_SNoCloseActiveServer1,	"There are still active COM objects in this application.  One or more clients may have references to these objects, so manually closing "
+	ComConst_SNoCloseActiveServer2,	"this application may cause those client application(s) to fail.\r\n\r\nAre you sure you want to close this application?"
 	TeeConst_TeeMsg_LegendTopPos,	"Top Legend Position must be between 0 and 100 %"
 	TeeConst_TeeMsg_LegendFirstValue,	"First Legend Value must be > 0"
@@ -587,103 +491,10 @@
 	TeeConst_TeeMsg_FillSample,	"FillSampleValues NumValues must be > 0"
 	TeeConst_TeeMsg_Angle,	"%s Angle must be between 0 and 359 degrees"
-	bdeconst_SAutoSessionExists,	"Cannot add a session to the form or data-module while session '%s' has AutoSessionName enabled"
-	bdeconst_SAutoSessionActive,	"Cannot modify SessionName while AutoSessionName is enabled"
-	bdeconst_SDuplicateDatabaseName,	"Duplicate database name '%s'"
-	bdeconst_SDuplicateSessionName,	"Duplicate session name '%s'"
-	bdeconst_SInvalidSessionName,	"Invalid session name %s"
-	bdeconst_SDatabaseNameMissing,	"Database name missing"
-	bdeconst_SSessionNameMissing,	"Session name missing"
-	bdeconst_SDatabaseOpen,	"Cannot perform this operation on an open database"
-	bdeconst_SDatabaseClosed,	"Cannot perform this operation on a closed database"
-	bdeconst_SDatabaseHandleSet,	"Database handle owned by a different session"
-	bdeconst_SSessionActive,	"Cannot perform this operation on an active session"
-	bdeconst_SHandleError,	"Error creating cursor handle"
-	bdeconst_SNoReferenceTableName,	"ReferenceTableName not specified for field '%s'"
-	bdeconst_SEmptySQLStatement,	"No SQL statement available"
-	bdeconst_SNoParameterValue,	"No value for parameter '%s'"
-	bdeconst_SLoginError,	"Cannot connect to database '%s'"
-	DBConsts_STextTrue,	"True"
-	DBConsts_SParameterNotFound,	"Parameter '%s' not found"
-	DBConsts_SInvalidVersion,	"Unable to load bind parameters"
-	DBConsts_SBadFieldType,	"Field '%s' is of an unsupported type"
-	DBConsts_SProviderSQLNotSupported,	"SQL not supported: %s"
-	DBConsts_SProviderExecuteNotSupported,	"Execute not supported: %s"
-	DBConsts_SExprNoAggOnCalcs,	"Field '%s' is not the correct type of calculated field to be used in an aggregate, use an internalcalc"
-	DBConsts_SDataSetUnidirectional,	"Operation not allowed on a unidirectional dataset"
-	DBConsts_SUnassignedVar,	"Unassigned variant value"
-	DBConsts_SRecordNotFound,	"Record not found"
-	DBConsts_SBcdOverflow,	"BCD overflow"
-	DBConsts_SInvalidBcdValue,	"%s is not a valid BCD value"
-	DBConsts_SInvalidFormatType,	"Invalid format type for BCD"
-	DBConsts_SCouldNotParseTimeStamp,	"Could not parse SQL TimeStamp string"
-	DBConsts_SInvalidSqlTimeStamp,	"Invalid SQL date/time values"
-	bdeconst_SAutoSessionExclusive,	"Cannot enable AutoSessionName property with more than one session on a form or data-module"
-	DBConsts_SExprNoRParenOrComma,	"')' or ',' expected but %s found"
-	DBConsts_SExprExpected,	"Expression expected but %s found"
-	DBConsts_SExprBadField,	"Field '%s' cannot be used in a filter expression"
-	DBConsts_SExprBadNullTest,	"NULL only allowed with '=' and '<>'"
-	DBConsts_SExprRangeError,	"Constant out of range"
-	DBConsts_SExprIncorrect,	"Incorrectly formed filter expression"
-	DBConsts_SExprNothing,	"nothing"
-	DBConsts_SExprTypeMis,	"Type mismatch in expression"
-	DBConsts_SExprBadScope,	"Operation cannot mix aggregate value with record-varying value"
-	DBConsts_SExprNoArith,	"Arithmetic in filter expressions not supported"
-	DBConsts_SExprNotAgg,	"Expression is not an aggregate expression"
-	DBConsts_SExprBadConst,	"Constant is not correct type %s"
-	DBConsts_SExprNoAggFilter,	"Aggregate expressions not allowed in filters"
-	DBConsts_SExprEmptyInList,	"IN predicate list may not be empty"
-	DBConsts_SInvalidKeywordUse,	"Invalid use of keyword"
-	DBConsts_STextFalse,	"False"
-	DBConsts_SInvalidCalcType,	"Field '%s' cannot be a calculated or lookup field"
-	DBConsts_SFieldReadOnly,	"Field '%s' cannot be modified"
-	DBConsts_SNotIndexField,	"Field '%s' is not indexed and cannot be modified"
-	DBConsts_SCircularDataLink,	"Circular datalinks are not allowed"
-	DBConsts_SLookupInfoError,	"Lookup information for field '%s' is incomplete"
-	DBConsts_SDataSourceChange,	"DataSource cannot be changed"
-	DBConsts_SDataSetOpen,	"Cannot perform this operation on an open dataset"
-	DBConsts_SNotEditing,	"Dataset not in edit or insert mode"
-	DBConsts_SDataSetClosed,	"Cannot perform this operation on a closed dataset"
-	DBConsts_SNestedDataSetClass,	"Nested dataset must inherit from %s"
-	DBConsts_SExprTermination,	"Filter expression incorrectly terminated"
-	DBConsts_SExprNameError,	"Unterminated field name"
-	DBConsts_SExprStringError,	"Unterminated string constant"
-	DBConsts_SExprInvalidChar,	"Invalid filter expression character: '%s'"
-	DBConsts_SExprNoLParen,	"'(' expected but %s found"
-	DBConsts_SExprNoRParen,	"')' expected but %s found"
-	DBConsts_SFieldNameMissing,	"Field name missing"
-	DBConsts_SDuplicateFieldName,	"Duplicate field name '%s'"
-	DBConsts_SFieldNotFound,	"Field '%s' not found"
-	DBConsts_SFieldAccessError,	"Cannot access field '%s' as type %s"
-	DBConsts_SFieldValueError,	"Invalid value for field '%s'"
-	DBConsts_SFieldRangeError,	"%g is not a valid value for field '%s'. The allowed range is %g to %g"
-	DBConsts_SBcdFieldRangeError,	"%s is not a valid value for field '%s'. The allowed range is %s to %s"
-	DBConsts_SInvalidIntegerValue,	"'%s' is not a valid integer value for field '%s'"
-	DBConsts_SInvalidBoolValue,	"'%s' is not a valid boolean value for field '%s'"
-	DBConsts_SInvalidFloatValue,	"'%s' is not a valid floating point value for field '%s'"
-	DBConsts_SFieldTypeMismatch,	"Type mismatch for field '%s', expecting: %s actual: %s"
-	DBConsts_SFieldSizeMismatch,	"Size mismatch for field '%s', expecting: %d actual: %d"
-	DBConsts_SInvalidVarByteArray,	"Invalid variant type or size for field '%s'"
-	DBConsts_SFieldOutOfRange,	"Value of field '%s' is out of range"
-	DBConsts_SFieldRequired,	"Field '%s' must have a value"
-	DBConsts_SDataSetMissing,	"Field '%s' has no dataset"
-	ComConst_STooManyParams,	"Dispatch methods do not support more than 64 parameters"
-	ComConst_SDCOMNotInstalled,	"DCOM not installed"
-	ComConst_SDAXError,	"DAX Error"
-	ComConst_SAutomationWarning,	"COM Server Warning"
-	ComConst_SNoCloseActiveServer1,	"There are still active COM objects in this application.  One or more clients may have references to these objects, so manually closing "
-	ComConst_SNoCloseActiveServer2,	"this application may cause those client application(s) to fail.\r\n\r\nAre you sure you want to close this application?"
-	OleConst_SCannotActivate,	"OLE control activation failed"
-	OleConst_SNoWindowHandle,	"Could not obtain OLE control window handle"
-	OleConst_SOleError,	"OLE error %.8x"
-	OleConst_SVarNotObject,	"Variant does not reference an OLE object"
-	OleConst_SInvalidLicense,	"License information for %s is invalid"
-	OleConst_SNotLicensed,	"License information for %s not found. You cannot use this control in design mode"
-	OleConst_sNoRunningObject,	"Unable to retrieve a pointer to a running object registered with OLE for %s/%s"
-	DBConsts_SInvalidFieldSize,	"Invalid field size"
-	DBConsts_SInvalidFieldKind,	"Invalid FieldKind"
-	DBConsts_SUnknownFieldType,	"Field '%s' is of an unknown type"
-	ComStrs_sPageIndexError,	"%d is an invalid PageIndex value.  PageIndex must be between 0 and %d"
-	ComStrs_sInvalidComCtl32,	"This control requires version 4.70 or greater of COMCTL32.DLL"
-	ComStrs_sDateTimeMax,	"Date exceeds maximum of %s"
+	TeeConst_TeeMsg_AxisLogDateTime,	"DateTime Axis cannot be Logarithmic"
+	TeeConst_TeeMsg_AxisLogNotPositive,	"Logarithmic Axis Min and Max values should be >= 0"
+	TeeConst_TeeMsg_AxisLabelSep,	"Labels Separation % must be greater than 0"
+	TeeConst_TeeMsg_AxisIncrementNeg,	"Axis increment must be >= 0"
+	TeeConst_TeeMsg_AxisMinMax,	"Axis Minimum Value must be <= Maximum"
+	TeeConst_TeeMsg_AxisMaxMin,	"Axis Maximum Value must be >= Minimum"
 	ComStrs_sDateTimeMin,	"Date is less than minimum of %s"
 	ComStrs_sFailSetCalDateTime,	"Failed to set calendar date or time"
@@ -699,7 +510,7 @@
 	ComConst_SNoMethod,	"Method '%s' not supported by automation object"
 	ComConst_SVarNotObject,	"Variant does not reference an automation object"
-	HelpIntfs_hNoContext,	"No context-sensitive help installed"
-	HelpIntfs_hNoTopics,	"No topic-based help system installed"
-	ComStrs_sTabFailClear,	"Failed to clear tab control"
+	ComConst_STooManyParams,	"Dispatch methods do not support more than 64 parameters"
+	ComConst_SDCOMNotInstalled,	"DCOM not installed"
+	ComConst_SDAXError,	"DAX Error"
 	ComStrs_sTabFailDelete,	"Failed to delete tab at index %d"
 	ComStrs_sTabFailRetrieve,	"Failed to retrieve tab at index %d"
@@ -715,7 +526,7 @@
 	ComStrs_sRichEditSaveFail,	"Failed to Save Stream"
 	ComStrs_sUDAssociated,	"%s is already associated with %s"
-	Consts_SCannotOpenClipboard,	"Cannot open clipboard"
-	Consts_SInvalidMemoSize,	"Text exceeds memo capacity"
-	Consts_SInvalidPrinterOp,	"Operation not supported on selected printer"
+	ComStrs_sPageIndexError,	"%d is an invalid PageIndex value.  PageIndex must be between 0 and %d"
+	ComStrs_sInvalidComCtl32,	"This control requires version 4.70 or greater of COMCTL32.DLL"
+	ComStrs_sDateTimeMax,	"Date exceeds maximum of %s"
 	Consts_SNoDefaultPrinter,	"There is no default printer currently selected"
 	Consts_SDuplicateMenus,	"Menu '%s' is already being used by another form"
@@ -731,7 +542,7 @@
 	HelpIntfs_hNoTableOfContents,	"Unable to find a Table of Contents"
 	HelpIntfs_hNothingFound,	"No help found for %s"
-	Consts_SmkcPgDn,	"PgDn"
-	Consts_SmkcEnd,	"End"
-	Consts_SmkcHome,	"Home"
+	HelpIntfs_hNoContext,	"No context-sensitive help installed"
+	HelpIntfs_hNoTopics,	"No topic-based help system installed"
+	ComStrs_sTabFailClear,	"Failed to clear tab control"
 	Consts_SmkcLeft,	"Left"
 	Consts_SmkcUp,	"Up"
@@ -747,7 +558,7 @@
 	Consts_SInvalidClipFmt,	"Invalid clipboard format"
 	Consts_SIconToClipboard,	"Clipboard does not support Icons"
-	Consts_SMsgDlgNo,	"&No"
-	Consts_SMsgDlgOK,	"OK"
-	Consts_SMsgDlgCancel,	"Cancel"
+	Consts_SCannotOpenClipboard,	"Cannot open clipboard"
+	Consts_SInvalidMemoSize,	"Text exceeds memo capacity"
+	Consts_SInvalidPrinterOp,	"Operation not supported on selected printer"
 	Consts_SMsgDlgHelp,	"&Help"
 	Consts_SMsgDlgAbort,	"&Abort"
@@ -763,7 +574,7 @@
 	Consts_SmkcSpace,	"Space"
 	Consts_SmkcPgUp,	"PgUp"
-	Consts_SIgnoreButton,	"&Ignore"
-	Consts_SRetryButton,	"&Retry"
-	Consts_SAbortButton,	"Abort"
+	Consts_SmkcPgDn,	"PgDn"
+	Consts_SmkcEnd,	"End"
+	Consts_SmkcHome,	"Home"
 	Consts_SAllButton,	"&All"
 	Consts_SCannotDragForm,	"Cannot drag a form"
@@ -779,7 +590,7 @@
 	Consts_SMsgDlgConfirm,	"Confirm"
 	Consts_SMsgDlgYes,	"&Yes"
-	Consts_SMenuReinserted,	"Menu inserted twice"
-	Consts_SMenuNotFound,	"Sub-menu is not in menu"
-	Consts_SNoTimers,	"Not enough timers available"
+	Consts_SMsgDlgNo,	"&No"
+	Consts_SMsgDlgOK,	"OK"
+	Consts_SMsgDlgCancel,	"Cancel"
 	Consts_SNotPrinting,	"Printer is not currently printing"
 	Consts_SPrinting,	"Printing in progress"
@@ -795,7 +606,7 @@
 	Consts_SHelpButton,	"&Help"
 	Consts_SCloseButton,	"&Close"
-	Consts_SInvalidImageList,	"Invalid ImageList"
-	Consts_SReplaceImage,	"Unable to Replace Image"
-	Consts_SImageIndexError,	"Invalid ImageList Index"
+	Consts_SIgnoreButton,	"&Ignore"
+	Consts_SRetryButton,	"&Retry"
+	Consts_SAbortButton,	"Abort"
 	Consts_SImageReadFail,	"Failed to read ImageList data from stream"
 	Consts_SImageWriteFail,	"Failed to write ImageList data to stream"
@@ -811,7 +622,7 @@
 	Consts_SPropertyOutOfRange,	"%s property out of range"
 	Consts_SMenuIndexError,	"Menu index out of range"
-	RTLConsts_SUnknownGroup,	"%s not in a class registration group"
-	RTLConsts_SUnknownProperty,	"Property %s does not exist"
-	RTLConsts_SWriteError,	"Stream write error"
+	Consts_SMenuReinserted,	"Menu inserted twice"
+	Consts_SMenuNotFound,	"Sub-menu is not in menu"
+	Consts_SNoTimers,	"Not enough timers available"
 	RTLConsts_SThreadCreateError,	"Thread creation error: %s"
 	RTLConsts_SThreadError,	"Thread Error: %s (%d)"
@@ -827,7 +638,7 @@
 	Consts_SNoCanvasHandle,	"Canvas does not allow drawing"
 	Consts_SInvalidImageSize,	"Invalid image size"
-	RTLConsts_SInvalidPropertyValue,	"Invalid property value"
-	RTLConsts_SInvalidRegType,	"Invalid data type for '%s'"
-	RTLConsts_SInvalidStringGridOp,	"Cannot insert or delete rows from grid"
+	Consts_SInvalidImageList,	"Invalid ImageList"
+	Consts_SReplaceImage,	"Unable to Replace Image"
+	Consts_SImageIndexError,	"Invalid ImageList Index"
 	RTLConsts_SListCapacityError,	"List capacity out of bounds (%d)"
 	RTLConsts_SListCountError,	"List count out of bounds (%d)"
@@ -843,7 +654,7 @@
 	RTLConsts_SSortedListError,	"Operation not allowed on sorted list"
 	RTLConsts_STooManyDeleted,	"Too many rows or columns deleted"
-	RTLConsts_SDuplicateClass,	"A class named %s already exists"
-	RTLConsts_SDuplicateItem,	"List does not allow duplicates ($0%x)"
-	RTLConsts_SDuplicateName,	"A component named %s already exists"
+	RTLConsts_SUnknownGroup,	"%s not in a class registration group"
+	RTLConsts_SUnknownProperty,	"Property %s does not exist"
+	RTLConsts_SWriteError,	"Stream write error"
 	RTLConsts_SDuplicateString,	"String list does not allow duplicates"
 	RTLConsts_SFCreateError,	"Cannot create file %s"
@@ -859,7 +670,7 @@
 	RTLConsts_SInvalidPropertyPath,	"Invalid property path"
 	RTLConsts_SInvalidPropertyType,	"Invalid property type: %s"
-	SysConst_SShortDayNameThu,	"Thu"
-	SysConst_SShortDayNameFri,	"Fri"
-	SysConst_SShortDayNameSat,	"Sat"
+	RTLConsts_SInvalidPropertyValue,	"Invalid property value"
+	RTLConsts_SInvalidRegType,	"Invalid data type for '%s'"
+	RTLConsts_SInvalidStringGridOp,	"Cannot insert or delete rows from grid"
 	SysConst_SLongDayNameSun,	"Sunday"
 	SysConst_SLongDayNameMon,	"Monday"
@@ -875,7 +686,7 @@
 	RTLConsts_SCheckSynchronizeError,	"CheckSynchronize called from thread $%x, which is NOT the main thread"
 	RTLConsts_SClassNotFound,	"Class %s not found"
-	SysConst_SLongMonthNameJan,	"January"
-	SysConst_SLongMonthNameFeb,	"February"
-	SysConst_SLongMonthNameMar,	"March"
+	RTLConsts_SDuplicateClass,	"A class named %s already exists"
+	RTLConsts_SDuplicateItem,	"List does not allow duplicates ($0%x)"
+	RTLConsts_SDuplicateName,	"A component named %s already exists"
 	SysConst_SLongMonthNameApr,	"April"
 	SysConst_SLongMonthNameMay,	"May"
@@ -891,8 +702,8 @@
 	SysConst_SShortDayNameTue,	"Tue"
 	SysConst_SShortDayNameWed,	"Wed"
-	SysConst_SModuleAccessViolation,	"Access violation at address %p in module '%s'. %s of address %p"
-	SysConst_SOSError,	"System Error.  Code: %d.\r\n%s"
+	SysConst_SShortDayNameThu,	"Thu"
+	SysConst_SShortDayNameFri,	"Fri"
+	SysConst_SShortDayNameSat,	"Sat"
 	SysConst_SUnkOSError,	"A call to an OS function failed"
-	SysConst_SNL,	"Application is not licensed to use this feature"
 	SysConst_SShortMonthNameJan,	"Jan"
 	SysConst_SShortMonthNameFeb,	"Feb"
@@ -907,6 +718,7 @@
 	SysConst_SShortMonthNameNov,	"Nov"
 	SysConst_SShortMonthNameDec,	"Dec"
-	SysConst_SVarTypeNotUsable,	"Custom variant type (%.4x) is not usable"
-	SysConst_SVarTypeTooManyCustom,	"Too many custom variant types have been registered"
+	SysConst_SLongMonthNameJan,	"January"
+	SysConst_SLongMonthNameFeb,	"February"
+	SysConst_SLongMonthNameMar,	"March"
 	SysConst_SInvalidVarNullOp,	"Invalid NULL variant operation"
 	SysConst_SVarTypeCouldNotConvert,	"Could not convert variant of type (%s) into type (%s)"
@@ -923,6 +735,6 @@
 	SysConst_SAssertError,	"%s (%s, line %d)"
 	SysConst_SAbstractError,	"Abstract Error"
-	SysConst_SExceptTitle,	"Application Error"
-	SysConst_SInvalidFormat,	"Format '%s' invalid or incompatible with argument"
+	SysConst_SModuleAccessViolation,	"Access violation at address %p in module '%s'. %s of address %p"
+	SysConst_SOSError,	"System Error.  Code: %d.\r\n%s"
 	SysConst_SArgumentMissing,	"No argument for format '%s'"
 	SysConst_SDispatchError,	"Variant method calls not supported"
@@ -939,6 +751,6 @@
 	SysConst_SVarTypeOutOfRange,	"Custom variant type (%.4x) is out of range"
 	SysConst_SVarTypeAlreadyUsed,	"Custom variant type (%.4x) already used by %s"
-	SysConst_SInvalidInput,	"Invalid numeric input"
-	SysConst_SDivByZero,	"Division by zero"
+	SysConst_SVarTypeNotUsable,	"Custom variant type (%.4x) is not usable"
+	SysConst_SVarTypeTooManyCustom,	"Too many custom variant types have been registered"
 	SysConst_SRangeError,	"Range check error"
 	SysConst_SIntOverflow,	"Integer overflow"
@@ -955,10 +767,10 @@
 	SysConst_SOperationAborted,	"Operation aborted"
 	SysConst_SException,	"Exception %s in module %s at %p.\r\n%s%s\r\n"
+	SysConst_SExceptTitle,	"Application Error"
+	SysConst_SInvalidFormat,	"Format '%s' invalid or incompatible with argument"
 	SysConst_SInvalidInteger,	"'%s' is not a valid integer value"
 	SysConst_SInvalidFloat,	"'%s' is not a valid floating point value"
-	SysConst_SInvalidDate,	"'%s' is not a valid date"
 	SysConst_SInvalidTime,	"'%s' is not a valid time"
 	SysConst_SInvalidDateTime,	"'%s' is not a valid date and time"
-	SysConst_SInvalidTimeStamp,	"'%d.%d' is not a valid timestamp"
 	SysConst_STimeEncodeError,	"Invalid argument to time encode"
 	SysConst_SDateEncodeError,	"Invalid argument to date encode"
@@ -971,4 +783,6 @@
 	SysConst_SEndOfFile,	"Read beyond end of file"
 	SysConst_SDiskFull,	"Disk full"
+	SysConst_SInvalidInput,	"Invalid numeric input"
+	SysConst_SDivByZero,	"Division by zero"
 END
 
